{
  config,
  pkgs,
  ...
}: {
  boot.kernelModules = ["kvm-intel"];
  boot.kernelParams = ["intel_iommu=on"];
  virtualisation.libvirtd.enable = true;
  virtualisation.kvmgt.enable = true;
  users.extraUsers.cyryl.extraGroups = ["kvm"];

  environment.systemPackages = with pkgs; [
    virt-manager
    qemu
    swtpm
    virt-viewer
  ];
}
